IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network37.2.136.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
- Network address
37.2.136.0- Broadcast address
37.2.139.255- First usable
37.2.136.1- Last usable
37.2.139.254- Usable hosts
- 1,022 (1,024 less the network and broadcast addresses)
- Subnet mask
255.255.252.0- Wildcard mask
0.0.3.255(Cisco ACLs, OSPF)- Prefix length
- /22
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
25028800· Integer620922880to620923903 - Reverse DNS zones
136.2.37.in-addr.arpa137.2.37.in-addr.arpa138.2.37.in-addr.arpa139.2.37.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00100101.00000010.10001000.00000000 | 37.2.136.0 |
| Subnet mask | 11111111.11111111.11111100.00000000 | 255.255.252.0 |
| Network | 00100101.00000010.10001000.00000000 | 37.2.136.0 |
| Broadcast | 00100101.00000010.10001011.11111111 | 37.2.139.255 |
Split into smaller subnets
37.2.136.0/22 makes 1,024 subnets of /32; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 37.2.136.0/32 | 37.2.136.0 to 37.2.136.0 | — | 1 |
| 2 | 37.2.136.1/32 | 37.2.136.1 to 37.2.136.1 | — | 1 |
| 3 | 37.2.136.2/32 | 37.2.136.2 to 37.2.136.2 | — | 1 |
| 4 | 37.2.136.3/32 | 37.2.136.3 to 37.2.136.3 | — | 1 |
| 5 | 37.2.136.4/32 | 37.2.136.4 to 37.2.136.4 | — | 1 |
| 6 | 37.2.136.5/32 | 37.2.136.5 to 37.2.136.5 | — | 1 |
| 7 | 37.2.136.6/32 | 37.2.136.6 to 37.2.136.6 | — | 1 |
| 8 | 37.2.136.7/32 | 37.2.136.7 to 37.2.136.7 | — | 1 |
| 9 | 37.2.136.8/32 | 37.2.136.8 to 37.2.136.8 | — | 1 |
| 10 | 37.2.136.9/32 | 37.2.136.9 to 37.2.136.9 | — | 1 |
| 11 | 37.2.136.10/32 | 37.2.136.10 to 37.2.136.10 | — | 1 |
| 12 | 37.2.136.11/32 | 37.2.136.11 to 37.2.136.11 | — | 1 |
| 13 | 37.2.136.12/32 | 37.2.136.12 to 37.2.136.12 | — | 1 |
| 14 | 37.2.136.13/32 | 37.2.136.13 to 37.2.136.13 | — | 1 |
| 15 | 37.2.136.14/32 | 37.2.136.14 to 37.2.136.14 | — | 1 |
| 16 | 37.2.136.15/32 | 37.2.136.15 to 37.2.136.15 | — | 1 |
| 17 | 37.2.136.16/32 | 37.2.136.16 to 37.2.136.16 | — | 1 |
| 18 | 37.2.136.17/32 | 37.2.136.17 to 37.2.136.17 | — | 1 |
| 19 | 37.2.136.18/32 | 37.2.136.18 to 37.2.136.18 | — | 1 |
| 20 | 37.2.136.19/32 | 37.2.136.19 to 37.2.136.19 | — | 1 |
| 21 | 37.2.136.20/32 | 37.2.136.20 to 37.2.136.20 | — | 1 |
| 22 | 37.2.136.21/32 | 37.2.136.21 to 37.2.136.21 | — | 1 |
| 23 | 37.2.136.22/32 | 37.2.136.22 to 37.2.136.22 | — | 1 |
| 24 | 37.2.136.23/32 | 37.2.136.23 to 37.2.136.23 | — | 1 |
| 25 | 37.2.136.24/32 | 37.2.136.24 to 37.2.136.24 | — | 1 |
| 26 | 37.2.136.25/32 | 37.2.136.25 to 37.2.136.25 | — | 1 |
| 27 | 37.2.136.26/32 | 37.2.136.26 to 37.2.136.26 | — | 1 |
| 28 | 37.2.136.27/32 | 37.2.136.27 to 37.2.136.27 | — | 1 |
| 29 | 37.2.136.28/32 | 37.2.136.28 to 37.2.136.28 | — | 1 |
| 30 | 37.2.136.29/32 | 37.2.136.29 to 37.2.136.29 | — | 1 |
| 31 | 37.2.136.30/32 | 37.2.136.30 to 37.2.136.30 | — | 1 |
| 32 | 37.2.136.31/32 | 37.2.136.31 to 37.2.136.31 | — | 1 |
| 33 | 37.2.136.32/32 | 37.2.136.32 to 37.2.136.32 | — | 1 |
| 34 | 37.2.136.33/32 | 37.2.136.33 to 37.2.136.33 | — | 1 |
| 35 | 37.2.136.34/32 | 37.2.136.34 to 37.2.136.34 | — | 1 |
| 36 | 37.2.136.35/32 | 37.2.136.35 to 37.2.136.35 | — | 1 |
| 37 | 37.2.136.36/32 | 37.2.136.36 to 37.2.136.36 | — | 1 |
| 38 | 37.2.136.37/32 | 37.2.136.37 to 37.2.136.37 | — | 1 |
| 39 | 37.2.136.38/32 | 37.2.136.38 to 37.2.136.38 | — | 1 |
| 40 | 37.2.136.39/32 | 37.2.136.39 to 37.2.136.39 | — | 1 |
| 41 | 37.2.136.40/32 | 37.2.136.40 to 37.2.136.40 | — | 1 |
| 42 | 37.2.136.41/32 | 37.2.136.41 to 37.2.136.41 | — | 1 |
| 43 | 37.2.136.42/32 | 37.2.136.42 to 37.2.136.42 | — | 1 |
| 44 | 37.2.136.43/32 | 37.2.136.43 to 37.2.136.43 | — | 1 |
| 45 | 37.2.136.44/32 | 37.2.136.44 to 37.2.136.44 | — | 1 |
| 46 | 37.2.136.45/32 | 37.2.136.45 to 37.2.136.45 | — | 1 |
| 47 | 37.2.136.46/32 | 37.2.136.46 to 37.2.136.46 | — | 1 |
| 48 | 37.2.136.47/32 | 37.2.136.47 to 37.2.136.47 | — | 1 |
| 49 | 37.2.136.48/32 | 37.2.136.48 to 37.2.136.48 | — | 1 |
| 50 | 37.2.136.49/32 | 37.2.136.49 to 37.2.136.49 | — | 1 |
| 51 | 37.2.136.50/32 | 37.2.136.50 to 37.2.136.50 | — | 1 |
| 52 | 37.2.136.51/32 | 37.2.136.51 to 37.2.136.51 | — | 1 |
| 53 | 37.2.136.52/32 | 37.2.136.52 to 37.2.136.52 | — | 1 |
| 54 | 37.2.136.53/32 | 37.2.136.53 to 37.2.136.53 | — | 1 |
| 55 | 37.2.136.54/32 | 37.2.136.54 to 37.2.136.54 | — | 1 |
| 56 | 37.2.136.55/32 | 37.2.136.55 to 37.2.136.55 | — | 1 |
| 57 | 37.2.136.56/32 | 37.2.136.56 to 37.2.136.56 | — | 1 |
| 58 | 37.2.136.57/32 | 37.2.136.57 to 37.2.136.57 | — | 1 |
| 59 | 37.2.136.58/32 | 37.2.136.58 to 37.2.136.58 | — | 1 |
| 60 | 37.2.136.59/32 | 37.2.136.59 to 37.2.136.59 | — | 1 |
| 61 | 37.2.136.60/32 | 37.2.136.60 to 37.2.136.60 | — | 1 |
| 62 | 37.2.136.61/32 | 37.2.136.61 to 37.2.136.61 | — | 1 |
| 63 | 37.2.136.62/32 | 37.2.136.62 to 37.2.136.62 | — | 1 |
| 64 | 37.2.136.63/32 | 37.2.136.63 to 37.2.136.63 | — | 1 |
| 65 | 37.2.136.64/32 | 37.2.136.64 to 37.2.136.64 | — | 1 |
| 66 | 37.2.136.65/32 | 37.2.136.65 to 37.2.136.65 | — | 1 |
| 67 | 37.2.136.66/32 | 37.2.136.66 to 37.2.136.66 | — | 1 |
| 68 | 37.2.136.67/32 | 37.2.136.67 to 37.2.136.67 | — | 1 |
| 69 | 37.2.136.68/32 | 37.2.136.68 to 37.2.136.68 | — | 1 |
| 70 | 37.2.136.69/32 | 37.2.136.69 to 37.2.136.69 | — | 1 |
| 71 | 37.2.136.70/32 | 37.2.136.70 to 37.2.136.70 | — | 1 |
| 72 | 37.2.136.71/32 | 37.2.136.71 to 37.2.136.71 | — | 1 |
| 73 | 37.2.136.72/32 | 37.2.136.72 to 37.2.136.72 | — | 1 |
| 74 | 37.2.136.73/32 | 37.2.136.73 to 37.2.136.73 | — | 1 |
| 75 | 37.2.136.74/32 | 37.2.136.74 to 37.2.136.74 | — | 1 |
| 76 | 37.2.136.75/32 | 37.2.136.75 to 37.2.136.75 | — | 1 |
| 77 | 37.2.136.76/32 | 37.2.136.76 to 37.2.136.76 | — | 1 |
| 78 | 37.2.136.77/32 | 37.2.136.77 to 37.2.136.77 | — | 1 |
| 79 | 37.2.136.78/32 | 37.2.136.78 to 37.2.136.78 | — | 1 |
| 80 | 37.2.136.79/32 | 37.2.136.79 to 37.2.136.79 | — | 1 |
| 81 | 37.2.136.80/32 | 37.2.136.80 to 37.2.136.80 | — | 1 |
| 82 | 37.2.136.81/32 | 37.2.136.81 to 37.2.136.81 | — | 1 |
| 83 | 37.2.136.82/32 | 37.2.136.82 to 37.2.136.82 | — | 1 |
| 84 | 37.2.136.83/32 | 37.2.136.83 to 37.2.136.83 | — | 1 |
| 85 | 37.2.136.84/32 | 37.2.136.84 to 37.2.136.84 | — | 1 |
| 86 | 37.2.136.85/32 | 37.2.136.85 to 37.2.136.85 | — | 1 |
| 87 | 37.2.136.86/32 | 37.2.136.86 to 37.2.136.86 | — | 1 |
| 88 | 37.2.136.87/32 | 37.2.136.87 to 37.2.136.87 | — | 1 |
| 89 | 37.2.136.88/32 | 37.2.136.88 to 37.2.136.88 | — | 1 |
| 90 | 37.2.136.89/32 | 37.2.136.89 to 37.2.136.89 | — | 1 |
| 91 | 37.2.136.90/32 | 37.2.136.90 to 37.2.136.90 | — | 1 |
| 92 | 37.2.136.91/32 | 37.2.136.91 to 37.2.136.91 | — | 1 |
| 93 | 37.2.136.92/32 | 37.2.136.92 to 37.2.136.92 | — | 1 |
| 94 | 37.2.136.93/32 | 37.2.136.93 to 37.2.136.93 | — | 1 |
| 95 | 37.2.136.94/32 | 37.2.136.94 to 37.2.136.94 | — | 1 |
| 96 | 37.2.136.95/32 | 37.2.136.95 to 37.2.136.95 | — | 1 |
| 97 | 37.2.136.96/32 | 37.2.136.96 to 37.2.136.96 | — | 1 |
| 98 | 37.2.136.97/32 | 37.2.136.97 to 37.2.136.97 | — | 1 |
| 99 | 37.2.136.98/32 | 37.2.136.98 to 37.2.136.98 | — | 1 |
| 100 | 37.2.136.99/32 | 37.2.136.99 to 37.2.136.99 | — | 1 |
| 101 | 37.2.136.100/32 | 37.2.136.100 to 37.2.136.100 | — | 1 |
| 102 | 37.2.136.101/32 | 37.2.136.101 to 37.2.136.101 | — | 1 |
| 103 | 37.2.136.102/32 | 37.2.136.102 to 37.2.136.102 | — | 1 |
| 104 | 37.2.136.103/32 | 37.2.136.103 to 37.2.136.103 | — | 1 |
| 105 | 37.2.136.104/32 | 37.2.136.104 to 37.2.136.104 | — | 1 |
| 106 | 37.2.136.105/32 | 37.2.136.105 to 37.2.136.105 | — | 1 |
| 107 | 37.2.136.106/32 | 37.2.136.106 to 37.2.136.106 | — | 1 |
| 108 | 37.2.136.107/32 | 37.2.136.107 to 37.2.136.107 | — | 1 |
| 109 | 37.2.136.108/32 | 37.2.136.108 to 37.2.136.108 | — | 1 |
| 110 | 37.2.136.109/32 | 37.2.136.109 to 37.2.136.109 | — | 1 |
| 111 | 37.2.136.110/32 | 37.2.136.110 to 37.2.136.110 | — | 1 |
| 112 | 37.2.136.111/32 | 37.2.136.111 to 37.2.136.111 | — | 1 |
| 113 | 37.2.136.112/32 | 37.2.136.112 to 37.2.136.112 | — | 1 |
| 114 | 37.2.136.113/32 | 37.2.136.113 to 37.2.136.113 | — | 1 |
| 115 | 37.2.136.114/32 | 37.2.136.114 to 37.2.136.114 | — | 1 |
| 116 | 37.2.136.115/32 | 37.2.136.115 to 37.2.136.115 | — | 1 |
| 117 | 37.2.136.116/32 | 37.2.136.116 to 37.2.136.116 | — | 1 |
| 118 | 37.2.136.117/32 | 37.2.136.117 to 37.2.136.117 | — | 1 |
| 119 | 37.2.136.118/32 | 37.2.136.118 to 37.2.136.118 | — | 1 |
| 120 | 37.2.136.119/32 | 37.2.136.119 to 37.2.136.119 | — | 1 |
| 121 | 37.2.136.120/32 | 37.2.136.120 to 37.2.136.120 | — | 1 |
| 122 | 37.2.136.121/32 | 37.2.136.121 to 37.2.136.121 | — | 1 |
| 123 | 37.2.136.122/32 | 37.2.136.122 to 37.2.136.122 | — | 1 |
| 124 | 37.2.136.123/32 | 37.2.136.123 to 37.2.136.123 | — | 1 |
| 125 | 37.2.136.124/32 | 37.2.136.124 to 37.2.136.124 | — | 1 |
| 126 | 37.2.136.125/32 | 37.2.136.125 to 37.2.136.125 | — | 1 |
| 127 | 37.2.136.126/32 | 37.2.136.126 to 37.2.136.126 | — | 1 |
| 128 | 37.2.136.127/32 | 37.2.136.127 to 37.2.136.127 | — | 1 |
| 129 | 37.2.136.128/32 | 37.2.136.128 to 37.2.136.128 | — | 1 |
| 130 | 37.2.136.129/32 | 37.2.136.129 to 37.2.136.129 | — | 1 |
| 131 | 37.2.136.130/32 | 37.2.136.130 to 37.2.136.130 | — | 1 |
| 132 | 37.2.136.131/32 | 37.2.136.131 to 37.2.136.131 | — | 1 |
| 133 | 37.2.136.132/32 | 37.2.136.132 to 37.2.136.132 | — | 1 |
| 134 | 37.2.136.133/32 | 37.2.136.133 to 37.2.136.133 | — | 1 |
| 135 | 37.2.136.134/32 | 37.2.136.134 to 37.2.136.134 | — | 1 |
| 136 | 37.2.136.135/32 | 37.2.136.135 to 37.2.136.135 | — | 1 |
| 137 | 37.2.136.136/32 | 37.2.136.136 to 37.2.136.136 | — | 1 |
| 138 | 37.2.136.137/32 | 37.2.136.137 to 37.2.136.137 | — | 1 |
| 139 | 37.2.136.138/32 | 37.2.136.138 to 37.2.136.138 | — | 1 |
| 140 | 37.2.136.139/32 | 37.2.136.139 to 37.2.136.139 | — | 1 |
| 141 | 37.2.136.140/32 | 37.2.136.140 to 37.2.136.140 | — | 1 |
| 142 | 37.2.136.141/32 | 37.2.136.141 to 37.2.136.141 | — | 1 |
| 143 | 37.2.136.142/32 | 37.2.136.142 to 37.2.136.142 | — | 1 |
| 144 | 37.2.136.143/32 | 37.2.136.143 to 37.2.136.143 | — | 1 |
| 145 | 37.2.136.144/32 | 37.2.136.144 to 37.2.136.144 | — | 1 |
| 146 | 37.2.136.145/32 | 37.2.136.145 to 37.2.136.145 | — | 1 |
| 147 | 37.2.136.146/32 | 37.2.136.146 to 37.2.136.146 | — | 1 |
| 148 | 37.2.136.147/32 | 37.2.136.147 to 37.2.136.147 | — | 1 |
| 149 | 37.2.136.148/32 | 37.2.136.148 to 37.2.136.148 | — | 1 |
| 150 | 37.2.136.149/32 | 37.2.136.149 to 37.2.136.149 | — | 1 |
| 151 | 37.2.136.150/32 | 37.2.136.150 to 37.2.136.150 | — | 1 |
| 152 | 37.2.136.151/32 | 37.2.136.151 to 37.2.136.151 | — | 1 |
| 153 | 37.2.136.152/32 | 37.2.136.152 to 37.2.136.152 | — | 1 |
| 154 | 37.2.136.153/32 | 37.2.136.153 to 37.2.136.153 | — | 1 |
| 155 | 37.2.136.154/32 | 37.2.136.154 to 37.2.136.154 | — | 1 |
| 156 | 37.2.136.155/32 | 37.2.136.155 to 37.2.136.155 | — | 1 |
| 157 | 37.2.136.156/32 | 37.2.136.156 to 37.2.136.156 | — | 1 |
| 158 | 37.2.136.157/32 | 37.2.136.157 to 37.2.136.157 | — | 1 |
| 159 | 37.2.136.158/32 | 37.2.136.158 to 37.2.136.158 | — | 1 |
| 160 | 37.2.136.159/32 | 37.2.136.159 to 37.2.136.159 | — | 1 |
| 161 | 37.2.136.160/32 | 37.2.136.160 to 37.2.136.160 | — | 1 |
| 162 | 37.2.136.161/32 | 37.2.136.161 to 37.2.136.161 | — | 1 |
| 163 | 37.2.136.162/32 | 37.2.136.162 to 37.2.136.162 | — | 1 |
| 164 | 37.2.136.163/32 | 37.2.136.163 to 37.2.136.163 | — | 1 |
| 165 | 37.2.136.164/32 | 37.2.136.164 to 37.2.136.164 | — | 1 |
| 166 | 37.2.136.165/32 | 37.2.136.165 to 37.2.136.165 | — | 1 |
| 167 | 37.2.136.166/32 | 37.2.136.166 to 37.2.136.166 | — | 1 |
| 168 | 37.2.136.167/32 | 37.2.136.167 to 37.2.136.167 | — | 1 |
| 169 | 37.2.136.168/32 | 37.2.136.168 to 37.2.136.168 | — | 1 |
| 170 | 37.2.136.169/32 | 37.2.136.169 to 37.2.136.169 | — | 1 |
| 171 | 37.2.136.170/32 | 37.2.136.170 to 37.2.136.170 | — | 1 |
| 172 | 37.2.136.171/32 | 37.2.136.171 to 37.2.136.171 | — | 1 |
| 173 | 37.2.136.172/32 | 37.2.136.172 to 37.2.136.172 | — | 1 |
| 174 | 37.2.136.173/32 | 37.2.136.173 to 37.2.136.173 | — | 1 |
| 175 | 37.2.136.174/32 | 37.2.136.174 to 37.2.136.174 | — | 1 |
| 176 | 37.2.136.175/32 | 37.2.136.175 to 37.2.136.175 | — | 1 |
| 177 | 37.2.136.176/32 | 37.2.136.176 to 37.2.136.176 | — | 1 |
| 178 | 37.2.136.177/32 | 37.2.136.177 to 37.2.136.177 | — | 1 |
| 179 | 37.2.136.178/32 | 37.2.136.178 to 37.2.136.178 | — | 1 |
| 180 | 37.2.136.179/32 | 37.2.136.179 to 37.2.136.179 | — | 1 |
| 181 | 37.2.136.180/32 | 37.2.136.180 to 37.2.136.180 | — | 1 |
| 182 | 37.2.136.181/32 | 37.2.136.181 to 37.2.136.181 | — | 1 |
| 183 | 37.2.136.182/32 | 37.2.136.182 to 37.2.136.182 | — | 1 |
| 184 | 37.2.136.183/32 | 37.2.136.183 to 37.2.136.183 | — | 1 |
| 185 | 37.2.136.184/32 | 37.2.136.184 to 37.2.136.184 | — | 1 |
| 186 | 37.2.136.185/32 | 37.2.136.185 to 37.2.136.185 | — | 1 |
| 187 | 37.2.136.186/32 | 37.2.136.186 to 37.2.136.186 | — | 1 |
| 188 | 37.2.136.187/32 | 37.2.136.187 to 37.2.136.187 | — | 1 |
| 189 | 37.2.136.188/32 | 37.2.136.188 to 37.2.136.188 | — | 1 |
| 190 | 37.2.136.189/32 | 37.2.136.189 to 37.2.136.189 | — | 1 |
| 191 | 37.2.136.190/32 | 37.2.136.190 to 37.2.136.190 | — | 1 |
| 192 | 37.2.136.191/32 | 37.2.136.191 to 37.2.136.191 | — | 1 |
| 193 | 37.2.136.192/32 | 37.2.136.192 to 37.2.136.192 | — | 1 |
| 194 | 37.2.136.193/32 | 37.2.136.193 to 37.2.136.193 | — | 1 |
| 195 | 37.2.136.194/32 | 37.2.136.194 to 37.2.136.194 | — | 1 |
| 196 | 37.2.136.195/32 | 37.2.136.195 to 37.2.136.195 | — | 1 |
| 197 | 37.2.136.196/32 | 37.2.136.196 to 37.2.136.196 | — | 1 |
| 198 | 37.2.136.197/32 | 37.2.136.197 to 37.2.136.197 | — | 1 |
| 199 | 37.2.136.198/32 | 37.2.136.198 to 37.2.136.198 | — | 1 |
| 200 | 37.2.136.199/32 | 37.2.136.199 to 37.2.136.199 | — | 1 |
| 201 | 37.2.136.200/32 | 37.2.136.200 to 37.2.136.200 | — | 1 |
| 202 | 37.2.136.201/32 | 37.2.136.201 to 37.2.136.201 | — | 1 |
| 203 | 37.2.136.202/32 | 37.2.136.202 to 37.2.136.202 | — | 1 |
| 204 | 37.2.136.203/32 | 37.2.136.203 to 37.2.136.203 | — | 1 |
| 205 | 37.2.136.204/32 | 37.2.136.204 to 37.2.136.204 | — | 1 |
| 206 | 37.2.136.205/32 | 37.2.136.205 to 37.2.136.205 | — | 1 |
| 207 | 37.2.136.206/32 | 37.2.136.206 to 37.2.136.206 | — | 1 |
| 208 | 37.2.136.207/32 | 37.2.136.207 to 37.2.136.207 | — | 1 |
| 209 | 37.2.136.208/32 | 37.2.136.208 to 37.2.136.208 | — | 1 |
| 210 | 37.2.136.209/32 | 37.2.136.209 to 37.2.136.209 | — | 1 |
| 211 | 37.2.136.210/32 | 37.2.136.210 to 37.2.136.210 | — | 1 |
| 212 | 37.2.136.211/32 | 37.2.136.211 to 37.2.136.211 | — | 1 |
| 213 | 37.2.136.212/32 | 37.2.136.212 to 37.2.136.212 | — | 1 |
| 214 | 37.2.136.213/32 | 37.2.136.213 to 37.2.136.213 | — | 1 |
| 215 | 37.2.136.214/32 | 37.2.136.214 to 37.2.136.214 | — | 1 |
| 216 | 37.2.136.215/32 | 37.2.136.215 to 37.2.136.215 | — | 1 |
| 217 | 37.2.136.216/32 | 37.2.136.216 to 37.2.136.216 | — | 1 |
| 218 | 37.2.136.217/32 | 37.2.136.217 to 37.2.136.217 | — | 1 |
| 219 | 37.2.136.218/32 | 37.2.136.218 to 37.2.136.218 | — | 1 |
| 220 | 37.2.136.219/32 | 37.2.136.219 to 37.2.136.219 | — | 1 |
| 221 | 37.2.136.220/32 | 37.2.136.220 to 37.2.136.220 | — | 1 |
| 222 | 37.2.136.221/32 | 37.2.136.221 to 37.2.136.221 | — | 1 |
| 223 | 37.2.136.222/32 | 37.2.136.222 to 37.2.136.222 | — | 1 |
| 224 | 37.2.136.223/32 | 37.2.136.223 to 37.2.136.223 | — | 1 |
| 225 | 37.2.136.224/32 | 37.2.136.224 to 37.2.136.224 | — | 1 |
| 226 | 37.2.136.225/32 | 37.2.136.225 to 37.2.136.225 | — | 1 |
| 227 | 37.2.136.226/32 | 37.2.136.226 to 37.2.136.226 | — | 1 |
| 228 | 37.2.136.227/32 | 37.2.136.227 to 37.2.136.227 | — | 1 |
| 229 | 37.2.136.228/32 | 37.2.136.228 to 37.2.136.228 | — | 1 |
| 230 | 37.2.136.229/32 | 37.2.136.229 to 37.2.136.229 | — | 1 |
| 231 | 37.2.136.230/32 | 37.2.136.230 to 37.2.136.230 | — | 1 |
| 232 | 37.2.136.231/32 | 37.2.136.231 to 37.2.136.231 | — | 1 |
| 233 | 37.2.136.232/32 | 37.2.136.232 to 37.2.136.232 | — | 1 |
| 234 | 37.2.136.233/32 | 37.2.136.233 to 37.2.136.233 | — | 1 |
| 235 | 37.2.136.234/32 | 37.2.136.234 to 37.2.136.234 | — | 1 |
| 236 | 37.2.136.235/32 | 37.2.136.235 to 37.2.136.235 | — | 1 |
| 237 | 37.2.136.236/32 | 37.2.136.236 to 37.2.136.236 | — | 1 |
| 238 | 37.2.136.237/32 | 37.2.136.237 to 37.2.136.237 | — | 1 |
| 239 | 37.2.136.238/32 | 37.2.136.238 to 37.2.136.238 | — | 1 |
| 240 | 37.2.136.239/32 | 37.2.136.239 to 37.2.136.239 | — | 1 |
| 241 | 37.2.136.240/32 | 37.2.136.240 to 37.2.136.240 | — | 1 |
| 242 | 37.2.136.241/32 | 37.2.136.241 to 37.2.136.241 | — | 1 |
| 243 | 37.2.136.242/32 | 37.2.136.242 to 37.2.136.242 | — | 1 |
| 244 | 37.2.136.243/32 | 37.2.136.243 to 37.2.136.243 | — | 1 |
| 245 | 37.2.136.244/32 | 37.2.136.244 to 37.2.136.244 | — | 1 |
| 246 | 37.2.136.245/32 | 37.2.136.245 to 37.2.136.245 | — | 1 |
| 247 | 37.2.136.246/32 | 37.2.136.246 to 37.2.136.246 | — | 1 |
| 248 | 37.2.136.247/32 | 37.2.136.247 to 37.2.136.247 | — | 1 |
| 249 | 37.2.136.248/32 | 37.2.136.248 to 37.2.136.248 | — | 1 |
| 250 | 37.2.136.249/32 | 37.2.136.249 to 37.2.136.249 | — | 1 |
| 251 | 37.2.136.250/32 | 37.2.136.250 to 37.2.136.250 | — | 1 |
| 252 | 37.2.136.251/32 | 37.2.136.251 to 37.2.136.251 | — | 1 |
| 253 | 37.2.136.252/32 | 37.2.136.252 to 37.2.136.252 | — | 1 |
| 254 | 37.2.136.253/32 | 37.2.136.253 to 37.2.136.253 | — | 1 |
| 255 | 37.2.136.254/32 | 37.2.136.254 to 37.2.136.254 | — | 1 |
| 256 | 37.2.136.255/32 | 37.2.136.255 to 37.2.136.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |